## mevemon 0.1-fremantle7

=== Makefile ===
#
# Makefile for mEveMon (inspired by the Makefile for Heremes)
# 

#edit these when creating a new release
MAJOR_VER='0'
MINOR_VER='1'
PKG_VER='7'

compile:
	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
	uuencode -m share/mevemon-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
	py_compilefiles src/* src/eveapi/* src/ui/* src/ui/*/*
	mkdir bin



install_fremantle:
	mkdir -p ${DESTDIR}/opt/mevemon/ ${DESTDIR}/opt/mevemon/eveapi ${DESTDIR}/opt/mevemon/ui \
	${DESTDIR}/opt/mevemon/ui/diablo ${DESTDIR}/opt/mevemon/ui/fremantle ${DESTDIR}/usr/bin \
	${DESTDIR}/opt/mevemon/imgs/
	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/mevemon/
	ln -s /opt/mevemon/mevemon.py ${DESTDIR}/usr/bin/mevemon
	install -D -m 0644 -o root -g root src/eveapi/*.py* ${DESTDIR}/opt/mevemon/eveapi/
	install -m 0644 -o root -g root src/imgs/*.jpg ${DESTDIR}/opt/mevemon/imgs/
	install -m 0644 -o root -g root src/ui/*.py*  ${DESTDIR}/opt/mevemon/ui/
	install -D -m 0644 -o root -g root src/ui/fremantle/*.py*  ${DESTDIR}/opt/mevemon/ui/fremantle/
	install -D -m 0644 -o root -g root src/ui/diablo/*.py*  ${DESTDIR}/opt/mevemon/ui/diablo/
	install -D -m 0644 -o root -g root share/mevemon-64.png \
	${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/mevemon.png
	install -D -m 0644 -o root -g root share/mevemon-48.png \
	${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/mevemon.png
	install -D -m 0644 -o root -g root share/mevemon.desktop \
	${DESTDIR}/usr/share/applications/hildon/mevemon.desktop
	chmod 755 ${DESTDIR}/opt/mevemon/mevemon.py
	chmod 755 ${DESTDIR}/usr/bin/mevemon

install_diablo:
	mkdir -p ${DESTDIR}/usr/share/mevemon/ ${DESTDIR}/usr/share/mevemon/eveapi \
	${DESTDIR}/usr/share/mevemon/ui ${DESTDIR}/usr/share/mevemon/ui/diablo \
	${DESTDIR}/usr/share/mevemon/ui/fremantle ${DESTDIR}/usr/bin ${DESTDIR}/usr/share/mevemon/imgs/
	install -D -m 0644 -o root -g root src/*.py ${DESTDIR}/usr/share/mevemon/
	ln -s /usr/share/mevemon/mevemon.py ${DESTDIR}/usr/bin/mevemon
	install -D -m 0644 -o root -g root src/eveapi/*.py ${DESTDIR}/usr/share/mevemon/eveapi/
	install -m 0644 -o root -g root src/imgs/*.jpg ${DESTDIR}/usr/share/mevemon/imgs/
	install -m 0644 -o root -g root src/ui/*.py  ${DESTDIR}/usr/share/mevemon/ui/
	install -D -m 0644 -o root -g root src/ui/fremantle/*.py  ${DESTDIR}/usr/share/mevemon/ui/fremantle/
	install -D -m 0644 -o root -g root src/ui/diablo/*.py  ${DESTDIR}/usr/share/mevemon/ui/diablo/
	install -D -m 0644 -o root -g root share/mevemon-64.png \
	${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/mevemon.png
	install -D -m 0644 -o root -g root share/mevemon-48.png \
	${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/mevemon.png
	install -D -m 0644 -o root -g root share/mevemon.desktop \
	${DESTDIR}/usr/share/applications/hildon/mevemon.desktop
	chmod 755 ${DESTDIR}/usr/share/mevemon/mevemon.py
	chmod 755 ${DESTDIR}/usr/bin/mevemon

clean:
	rm -f src/*.py[oc]
	rm -f src/ui/fremantle/*.py[oc]
	rm -rf src/ui/*.py[oc]
	rm -f src/ui/diablo/*.py[oc]
	rm -f src/eveap/*.py[oc]
	rm -f build-stamp configure-stamp
	rm -rf debian/mevemon bin
	find . -name *~ -exec rm -f {} \;	

package_fremantle:
	# modify debian/changelog to show current version, and then
	# modify debian/rules build option to call 'make install_fremantle'
	# There's got to be a  better way...
	# 
	sed -i 's:mevemon (.*):mevemon (${MAJOR_VER}.${MINOR_VER}-fremantle${PKG_VER}):g' debian/changelog	
	sed -i 's:$${MAKE} DESTDIR=$${CURDIR}/debian/mevemon.*:$${MAKE} DESTDIR=$${CURDIR}/debian/mevemon install_fremantle:g' debian/rules
	dpkg-buildpackage -rfakeroot -uc -us

package_diablo:
	# modify debian/changelog to show current version, and then
	# modify debian/rules build option to call 'make install_fremantle'
	# There's got to be a  better way...
	#
	sed -i 's:mevemon (.*):mevemon (${MAJOR_VER}.${MINOR_VER}-diablo${PKG_VER}):g' debian/changelog	
	sed -i 's:$${MAKE} DESTDIR=$${CURDIR}/debian/mevemon.*:$${MAKE} DESTDIR=$${CURDIR}/debian/mevemon install_diablo:g' debian/rules
	dpkg-buildpackage -rfakeroot -uc -us

=== debian/changelog ===
mevemon (0.1-fremantle7) stable; urgency=low

  First release.

 -- Ryan Campbell <campbellr@@gmail.com>  Fri, 23 Apr 2010 13:23:20 +0000

=== debian/control ===
Source: mevemon
Section: user/utilities
Priority: extra
Maintainer: Ryan Campbell <campbellr@@gmail.com>
Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, sharutils
Standards-Version: 3.7.2

Package: mevemon
Architecture: all
Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, python2.5-gobject | python-gobject
Description: A character monitor for EVE Online.
XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565
XB-Maemo-Display-Name: mEveMon
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEFxIKJnB/RmYAAAGOSURBVGje7VnBsoMgDFwkHPxRT36OH+sokHcp
 jDqKtgjKG3LKWIcmzWZ3raLrOmZmCCEAAKXlDT7BzCgx9w24zkrLfQOlRoVQ
 hVBk0HIcW4oSQoCZYYx5pDgppa/hiEopNCZ3s1LqkQaYeVXwXp0UOsAYA6UU
 hmEAEcFam4dZmgZaa/R9D601iOg3CPmbPgc0Tb6VWRYdgtApCwFY/fJurCnz
 7XfexkI5Of4WFgrF2ed37MEVCNEVCC2vuwOWY0+1xFcgRDEQ6vse8zxDSpmM
 Rs/OvgQhN87ttXmeMU1TkOYeFTIXjosdM7gRSylBRL6B1A8xX0NISumh8uuI
 X+GFxnE8FZtXe6G2basXql6oeqGSvdCekOXYg9u80FbIci1xtBc6E7IcNBrl
 hf69kG2F5nVe6EjIvhGaR71QSMiICMaY1bK91k5ba33x7gBrrf+/KOUDTRSE
 QkImhMAwDGV4ob1GHEsV4YWOrlcvVL1Q9UKFeKGUYpXFCxHRK15uR7PQG6O+
 Zn06rxCqEIrM/wCkqsKMiSl2kAAAAABJRU5ErkJggg==

## mevemon 0.1-fremantle8

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,12 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='1'
-PKG_VER='7'
+PKG_VER='8'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
 	uuencode -m share/mevemon-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
 	py_compilefiles src/* src/eveapi/* src/ui/* src/ui/*/*
-	mkdir bin
-
 
 
 install_fremantle:
@@ -62,7 +60,7 @@
 	rm -f src/ui/diablo/*.py[oc]
 	rm -f src/eveap/*.py[oc]
 	rm -f build-stamp configure-stamp
-	rm -rf debian/mevemon bin
+	rm -rf debian/mevemon
 	find . -name *~ -exec rm -f {} \;	
 
 package_fremantle:

=== debian/changelog ===
mevemon (0.1-fremantle8) stable; urgency=low

  First release.

 -- Ryan Campbell <campbellr@@gmail.com>  Fri, 23 Apr 2010 13:23:20 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: all
 Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, python2.5-gobject | python-gobject
 Description: A character monitor for EVE Online.
+ mEveMon allows you to monitor your EVE Online character from your N900 or N8x0.
 XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565
 XB-Maemo-Display-Name: mEveMon
 XB-Maemo-Icon-26:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	
	# Add here commands to compile the package
	$(MAKE) compile
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	${MAKE} clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${MAKE} DESTDIR=${CURDIR}/debian/mevemon install_fremantle

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mevemon 0.1-fremantle9

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='1'
-PKG_VER='8'
+PKG_VER='9'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.1-fremantle9) stable; urgency=low

  * Minor packaging fixes

 -- Ryan Campbell <campbellr@gmail.com>  Fri, 23 Apr 2010 13:23:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mevemon
 Section: user/utilities
 Priority: extra
-Maintainer: Ryan Campbell <campbellr@@gmail.com>
+Maintainer: Ryan Campbell <campbellr@gmail.com>
 Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, sharutils
 Standards-Version: 3.7.2

## mevemon 0.2-1

=== Makefile ===
#
# Makefile for mEveMon (inspired by the Makefile for Heremes)
# 

#edit these when creating a new release
MAJOR_VER='0'
MINOR_VER='2'
PKG_VER='1'

compile:
	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
	uuencode -m share/mevemon-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
	# this causes the build to fail in diablo auto-builder, so comment it out for now
	#py_compilefiles src/* src/eveapi/* src/ui/* src/ui/*/*


install:
	# the paths can be the same for both diablo and fremantle, since the Extras
	# auto-builder will 'optify' the fremantle package for us
	# 
	mkdir -p ${DESTDIR}/usr/share/mevemon/ ${DESTDIR}/usr/share/mevemon/eveapi \
	${DESTDIR}/usr/share/mevemon/ui ${DESTDIR}/usr/share/mevemon/ui/diablo \
	${DESTDIR}/usr/share/mevemon/ui/fremantle ${DESTDIR}/usr/bin ${DESTDIR}/usr/share/mevemon/imgs/
	install -D -m 0644 -o root -g root src/*.py ${DESTDIR}/usr/share/mevemon/
	ln -s /usr/share/mevemon/mevemon.py ${DESTDIR}/usr/bin/mevemon
	install -D -m 0644 -o root -g root src/eveapi/*.py ${DESTDIR}/usr/share/mevemon/eveapi/
	install -m 0644 -o root -g root src/imgs/*.jpg ${DESTDIR}/usr/share/mevemon/imgs/
	install -m 0644 -o root -g root src/ui/*.py  ${DESTDIR}/usr/share/mevemon/ui/
	install -D -m 0644 -o root -g root src/ui/fremantle/*.py  ${DESTDIR}/usr/share/mevemon/ui/fremantle/
	install -D -m 0644 -o root -g root src/ui/diablo/*.py  ${DESTDIR}/usr/share/mevemon/ui/diablo/
	install -D -m 0644 -o root -g root share/mevemon-64.png \
	${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/mevemon.png
	install -D -m 0644 -o root -g root share/mevemon-48.png \
	${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/mevemon.png
	install -D -m 0644 -o root -g root share/mevemon.desktop \
	${DESTDIR}/usr/share/applications/hildon/mevemon.desktop
	chmod 755 ${DESTDIR}/usr/share/mevemon/mevemon.py
	chmod 755 ${DESTDIR}/usr/bin/mevemon

clean:
	rm -f src/*.py[oc]
	rm -f src/ui/fremantle/*.py[oc]
	rm -rf src/ui/*.py[oc]
	rm -f src/ui/diablo/*.py[oc]
	rm -f src/eveap/*.py[oc]
	rm -f build-stamp configure-stamp
	rm -rf debian/mevemon
	find . -name *~ -exec rm -f {} \;	

package:
	# modify debian/changelog to show current version, and then
	# NOTE: if you want to use the deb in fremantle, then run maemo-optify-deb on the package
	# 		first.
	# 		This is done automatically by the Extras auto-builder 
	sed -i 's:mevemon (.*):mevemon (${MAJOR_VER}.${MINOR_VER}-${PKG_VER}):g' debian/changelog	
	dpkg-buildpackage -rfakeroot -uc -us

=== debian/changelog ===
mevemon (0.2-1) stable; urgency=low

  * Fixed a missing dependency on 'gnome-python'

 -- Ryan Campbell <campbellr@gmail.com>  Fri, 28 Apr 2010 12:23:20 +0000

## mevemon 0.2-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='2'
-PKG_VER='1'
+PKG_VER='2'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.2-2) stable; urgency=low

  * Fix optification bug

 -- Ryan Campbell <campbellr@gmail.com>  Fri, 28 Apr 2010 12:47:20 -0007

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Package: mevemon
 Architecture: all
-Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, python2.5-gobject | python-gobject
+Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, python2.5-gobject |
+ python-gobject, gnome-python
 Description: A character monitor for EVE Online.
  mEveMon allows you to monitor your EVE Online character from your N900 or N8x0.
 XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565

## mevemon 0.2-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='2'
-PKG_VER='2'
+PKG_VER='3'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.2-3) stable; urgency=low

  * fixed bug in 'settings'

 -- Ryan Campbell <campbellr@gmail.com>  Wed, 28 Apr 2010 13:04:23 -0007

## mevemon 0.2-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='2'
-PKG_VER='3'
+PKG_VER='4'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.2-4) stable; urgency=low

  * Handle it better when user inputs invalid credentials

 -- Ryan Campbell <campbellr@gmail.com>  Wed, 28 Apr 2010 13:41:23 -0007

## mevemon 0.2-5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='2'
-PKG_VER='4'
+PKG_VER='5'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.2-5) stable; urgency=low

  * added missing import for Diablo UI

 -- Ryan Campbell <campbellr@gmail.com>  Wed, 28 Apr 2010 17:29:43 -0007

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: mevemon
 Architecture: all
 Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, python2.5-gobject |
- python-gobject, gnome-python
+ python-gobject, gnome-python | python2.5-gnome
 Description: A character monitor for EVE Online.
  mEveMon allows you to monitor your EVE Online character from your N900 or N8x0.
 XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	${MAKE} DESTDIR=${CURDIR}/debian/mevemon install_fremantle
+	${MAKE} DESTDIR=${CURDIR}/debian/mevemon install
 
 # Build architecture-independent files here.
 binary-indep: build install

## mevemon 0.3-1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 #edit these when creating a new release
 MAJOR_VER='0'
-MINOR_VER='2'
-PKG_VER='5'
+MINOR_VER='3'
+PKG_VER='1'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.3-1) stable; urgency=low

  * UI cleanup and multiple account support

 -- Ryan Campbell <campbellr@gmail.com>  Thu, 29 Apr 2010 20:46:12 -0007

## mevemon 0.4-1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #edit these when creating a new release
 MAJOR_VER='0'
-MINOR_VER='3'
+MINOR_VER='4'
 PKG_VER='1'
 
 compile:

=== debian/changelog ===
mevemon (0.4-1) stable; urgency=low

  * Added live 'Total SP' label
  * Added simple validation to account dialog
  * Other minor improvements (see git changelog for details)

 -- Ryan Campbell <campbellr@gmail.com>  Thu, 20 May 2010 21:41:43 -0007

## mevemon 0.4-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='1'
+PKG_VER='2'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-2) stable; urgency=low

    * minor bugfix

 -- Ryan Campbell <campbellr@gmail.com>  Thu, 20 May 2010 22:29:23 -0007

## mevemon 0.4-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='2'
+PKG_VER='3'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-3) stable; urgency=low

    * Fix bug #5785
    * Format numbers with commas

 -- Ryan Campbell <campbellr@gmail.com>  Fri, 21 May 2010 22:58:49 -0007

## mevemon 0.4-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='3'
+PKG_VER='4'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-4) stable; urgency=low

    * Better fix for bug #5785

 -- Ryan Campbell <campbellr@gmail.com>  Fri, 21 May 2010 23:33:23 -0007

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 Package: mevemon
 Architecture: all
-Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, python2.5-gobject |
- python-gobject, gnome-python | python2.5-gnome
+Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, 
+ python2.5-gobject | python-gobject, gnome-python | python2.5-gnome,
+ python2.5-conic | python-conic
 Description: A character monitor for EVE Online.
  mEveMon allows you to monitor your EVE Online character from your N900 or N8x0.
 XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565

## mevemon 0.4-5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='4'
+PKG_VER='5'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-5) stable; urgency=low

    * Fix several bugs in Diablo verson

 -- Ryan Campbell <campbellr@gmail.com>  Sat, 22 May 2010 17:21:43 -0007

## mevemon 0.4-6

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='5'
+PKG_VER='6'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-6) stable; urgency=low

    * Use gobject instead of glib

 -- Ryan Campbell <campbellr@gmail.com>  Sat, 22 May 2010 18:11:26 -0007

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 Package: mevemon
 Architecture: all
-Depends: python2.5, python2.5-gtk2, python-hildon | python2.5-hildon, 
- python2.5-gobject | python-gobject, gnome-python | python2.5-gnome,
- python2.5-conic | python-conic
+Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5, python2.5-gtk2, 
+ python-hildon | python2.5-hildon, python2.5-gobject | python-gobject,
+ gnome-python | python2.5-gnome, python2.5-conic | python-conic
 Description: A character monitor for EVE Online.
  mEveMon allows you to monitor your EVE Online character from your N900 or N8x0.
-XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1544&atid=5565
 XB-Maemo-Display-Name: mEveMon
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## mevemon 0.4-7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='6'
+PKG_VER='7'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-7) stable; urgency=low

    * Allow user to input lower-case API key

 -- Ryan Campbell <campbellr@gmail.com>  Mon, 24 May 2010 12:27:03 -0007

## mevemon 0.4-8

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='7'
+PKG_VER='8'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-8) stable; urgency=low

    * Report errors in UI, and minor bugfixes

 -- Ryan Campbell <campbellr@gmail.com>  Sat, 29 May 2010 23:02:48 -0007

## mevemon 0.4-9

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #edit these when creating a new release
 MAJOR_VER='0'
 MINOR_VER='4'
-PKG_VER='8'
+PKG_VER='9'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control

=== debian/changelog ===
mevemon (0.4-9) stable; urgency=low

    * Don't automatically convert API key to uppercase

 -- Ryan Campbell <campbellr@gmail.com>  Sat, 19 Jun 2010 13:30:32 -0007

## mevemon 0.5-1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 #edit these when creating a new release
 MAJOR_VER='0'
-MINOR_VER='4'
-PKG_VER='9'
+MINOR_VER='5'
+PKG_VER='1'
 
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
@@ -55,3 +55,6 @@
 	sed -i 's:mevemon (.*):mevemon (${MAJOR_VER}.${MINOR_VER}-${PKG_VER}):g' debian/changelog	
 	dpkg-buildpackage -rfakeroot -uc -us
 
+test:
+	python -m discover -s src/tests/ -t src/
+

=== debian/changelog ===
mevemon (0.5-1) stable; urgency=low
    
    * Support recent EVE changes in the API
    * Improve performance
    * Add logging
    * Other minor fixes

 -- Ryan Campbell <campbellr@gmail.com>  Sat, 19 Jun 2010 13:30:32 -0007

## mevemon 0.6-1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #edit these when creating a new release
 MAJOR_VER='0'
-MINOR_VER='5'
+MINOR_VER='6'
 PKG_VER='1'
 
 compile:

=== debian/changelog ===
mevemon (0.6-1) stable; urgency=low
    
    * Add support for new API keys, remove support for legacy keys
    * Further improve caching performance

 -- Ryan Campbell <campbellr@gmail.com>  Sat, 5 Nov 2011 00:30:00 -0007
